import { AxiosInstance, AxiosRequestConfig } from 'axios';
import { Method } from './index';
export interface Response<T = any> {
  data: T;
  status: number;
  statusText: string;
  headers: any;
  config: AxiosRequestConfig;
  request?: any;
}
export declare class APIBase {
  axios: AxiosInstance;
  private headers;
  constructor(endpoint: string, defaultHeaders?: object);
  post<T>(url: string, body: object): Promise<T>;
  put<T>(url: string, body: object): Promise<T>;
  delete<T>(url: string): Promise<T>;
  get<T>(url: string, params?: any): Promise<T>;
  send<T>(method: Method, url: string, queryParams?: any, body?: any): Promise<T>;
  addAuthInterceptor: (accessToken: string) => void;
}
